Skip to content
StreamProfile

StreamProfile

4 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.

GET /api/v1/profiles

Export the stream profiles by IDs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idqueryarray of integerYes1-1000 positive stream profile IDs, comma separated

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/profiles

Import the stream profiles.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
profilesbodyarray of objectYesSlice of stream profile map

Responses

StatusDescriptionSchema
200OKroute.APIResponse

DELETE /api/v1/profiles/{id}

Delete the stream profile by ID or Name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesstream profile ID or Name
include_streamsquerybooleanNoDelete streams using this profile

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/profiles/{id}/streams/{action}

Start, restart, or stop all streams using a profile.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesStream profile ID or Name
actionpathstring: start, restart, stopYesControl action

Responses

StatusDescriptionSchema
200OKroute.APIResponse